#ifndef __GLOBAL_H__
#define __GLOBAL_H__

#include <QHash>
#include <QVector>
#include <QColor>
#include <QPoint>
#include <QDebug>
#include <QDesktopWidget>
#include <QX11Info>

	struct OkProfile {
		QString name;
		QStringList parameters;
		QStringList values;
		};

extern bool compositeEnabled;	
extern QVector<OkProfile> profiles;
extern QHash<QString, QString> workValue;
extern QHash<QString, QString> defValue;
extern bool strToBool (QString b);
extern QColor strToColor(QString strColor);
extern int strToInt(QString Str, long Alternative);
extern QString strFromColor(QColor color);
extern QString getValue (QString profile, QString parameter, QString valuedef);
extern OkProfile getProfile (QString pr);
extern QPoint clickPos;
extern int calcHPosition (QString value, int width, int offset);
extern int calcVPosition (QString value, int height, int offset);
extern void setConfigValue (QString profile, QString parameter);
extern QStringList strToArgs (QString str);

#endif // __GLOBAL_H__
